Bewertet mit 1 von 5 Sternen

As reported by others, doesn't work. Tells me that I do not have the required plugin!? - My browser contains all that is necessary to run this add-on (& it's all active). The problem is with the add-on. Sorry.